Subject: gnuwin32 and Ada95
From: [email-masked] ("Anthony E. Glover")

9 Sep 1997 09:28:11 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; I)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Hello,

  I recently installed the most recent version of the gnuwin32 software
on my Windows 95 machine and everything seems to work o.k.  However, I
also recently installed the most recent version of the Ada95 compiler
GNAT 3.09, which claims to be based on the Cygwin distribution, and I am
having a problem.  The GNAT compiler works fine from the DOS command
line, but when I am in bash and try to run the compiler, I get the
following:

(unknown) heap_init: unable to allocate heap, win32 error 8
cygwin: terminating
(unknown) In cygwin_except_handler
(unknown) Exception trapped!
(unknown) exception C0000005 at 1001E4B2
(unknown) exception: ax 0 bx 0 cx C1042100 dx BFFBF9E0
(unknown) exception: si 81589978 di 8157AEE8 bp 253F9AC sp 253F9AC
(unknown) exception is: STATUS_ACCESS_VIOLATION
(unknown) Stack trace:
(unknown) frame 0: sp = 0x253F7C4, pc = 0x1001282A
(unknown) frame 1: sp = 0x253F7E0, pc = 0xBFF7663C
(unknown) frame 2: sp = 0x253F804, pc = 0xBFF859D9
(unknown) frame 3: sp = 0x253F89C, pc = 0xFFECBAD7
(unknown) frame 4: sp = 0x253F9AC, pc = 0x10011D4D
(unknown) frame 5: sp = 0x253F9C0, pc = 0x10018972
(unknown) frame 6: sp = 0x253F9D8, pc = 0x10011615
(unknown) frame 7: sp = 0x253FE10, pc = 0x10011BFF
(unknown) frame 8: sp = 0x253FE1C, pc = 0x40B224
(unknown) frame 9: sp = 0x253FE2C, pc = 0x401033
(unknown) frame 10: sp = 0x253FE38, pc = 0xBFF88F75
(unknown) frame 11: sp = 0x253FF78, pc = 0xBFF88E23
(unknown) frame 12: sp = 0x253FFF4, pc = 0xBFF8783F
(unknown) frame 13: sp = 0x81589978, pc = 0x5
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler

Any ideas as to what is going wrong?
Thanks,
Tony
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".